All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.publish.alerts
Interface MailAlertTransportInterface

All Superinterfaces:
  AlertTransportInterface, MailInterface

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface MailAlertTransportInterface

extends AlertTransportInterface, MailInterface

The MailAlertTransportInterface provides common behavior for mail delivery transports when sending alert notification messages.

Since:
  1.1.4

Method Summary
`abstract void` | `setEmailAddress(java.lang.String address)` Set the email address.

Methods inherited from interface com.sas.services.publish.alerts.AlertTransportInterface
`getLogger, send, setLogger`

Methods inherited from interface com.sas.services.publish.MailInterface
`addAttachment, addAttachment, addAttachment, addAttachment, getBccAddress, getContentType, getEmailAddress, getFrom, getFromName, getReplyTo, getReplyToName, getSubject, setBccAddress, setContentType, setFrom, setFromName, setFromName, setReplyTo, setReplyToName, setReplyToName, setSubject, setSubject`

Method Detail

### setEmailAddress

    void setEmailAddress(java.lang.String address)

  Set the email address. This identifies the recipient of the email notification. Multiple email addresses, separated by commas, may be specified. For example, this email string identifies two email addresses, "JohnDoe@host.com, MarySmith@host2.com."

  Specified by:
    `setEmailAddress` in interface `MailInterface`
  Parameters:
    `address` - The email address.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.